Subject: No woman can make a better wife than a Russian lady √ pick one here.

From: [email-masked]
Date: Tue, 2 Feb 2010 10:22:52 -0500

I'll like you? Remember that night in the hotel? 100% check - please visit